THIS := hps_samples
THIS_DIR := samples/code/cpp
TARGET := $(THIS)

TGT_PREBUILD := $(shell python $(THIS_DIR)/../../../scripts/populate_samples.py)

TGT_PREREQS := \
	libhps_core.so \
	libhps_sprk.so \
	libhps_sprk_ops.so \
	libhps_sprk_exchange.so \
	libhps_sprk_publish.so \
	libhps_sprk_parasolid.so

TGT_LDFLAGS := -L$(TARGET_DIR) -Wl,-rpath-link,$(TARGET_DIR) -Wl,-rpath,'$$ORIGIN'

TGT_LDLIBS := \
	-lhps_core \
	-lhps_sprk \
	-lhps_sprk_ops \
	-lhps_sprk_exchange \
	-lhps_sprk_publish \
	-lhps_sprk_parasolid \
	-lXext \
	-lX11 \
	-lXt \
	-lm \
	-ldl \
	-lpthread \
	-lGL \
	-lGLU

SRC_INCDIRS := ../../../include

SOURCES := $(notdir $(wildcard $(THIS_DIR)/*.cpp))
